# This function deletes all rows in a data frame
# that contains at least one NA. 

removeNAS <-function (x)
{
  # x represents a data frame. This function is designed to delete NA rows from
  # A data frame.  
  # Determine the number of rows and columns
  rows = nrow(x)
  cols = ncol(x)
  
  # Count the number of deleted rows
  numDel =0  
  
  # Initialize a new data frame that will contain all rows without a single NA.
  # The initialization gives y the column headings. 
  
  y <- data.frame(head(x,0))
  
  n <-1 # row subscript for new data frame
  
  # Scan each row for NA values
  
  for (i in 1:rows)
  { Keep=TRUE
  for(j in 1:cols)
  {
    if (is.na(x[i,j]))
    {Keep=FALSE
    print("Deleted record")
    print(x[i,])
    j<-cols}
  } #j
  
  if(Keep)
  { 
    y[n,]<- x[i,]
    n<- n+1}
  else
  {
    numDel=numDel +1 
  }
  
  } # for i
  
  # print number of rows deleted
  print("number deleted")
  print(numDel)
  # Return the new data frame y
  return(y)
}  # End routine

